import 'package:json_annotation/json_annotation.dart';

part 'intimacy_analyze_direction.g.dart';

/// 亲密度-预测方向
@JsonSerializable()
class IntimacyAnalyzeDirection {
  // 标题
  @JsonKey(name: 'title')
  String? title;

  // icon地址
  @JsonKey(name: 'iconUrl')
  String? iconUrl;

  // 模型选项
  @JsonKey(name: 'options')
  List<String>? options;

  IntimacyAnalyzeDirection(this.title, this.iconUrl, this.options);

  factory IntimacyAnalyzeDirection.fromJson(Map<String, dynamic> json) =>
      _$IntimacyAnalyzeDirectionFromJson(json);

  Map<String, dynamic> toJson() => _$IntimacyAnalyzeDirectionToJson(this);
}
